<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
|----------------------------------------------------+
| Infusion: ACL
| Filename: acl_admin.php
| Author: Norman.Leonardi
| Web: http://www.ny-soft.com/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/
?>
<script src="js/jquery.jgrowl_minimized.js"></script>
<link rel="stylesheet" href="js/jquery.jgrowl.css" type="text/css"/>

<script>
	
	var ck_menu, ck_user, ck_adv;
	
	function get_value(){
		ck_menu="";
		if(document.form1.ck_menu){
			for(var i=0; i < document.form1.ck_menu.length; i++){
				if(document.form1.ck_menu[i].checked)
				ck_menu=""+ck_menu+"'"+document.form1.ck_menu[i].value+"',";
			}
		}
		ck_menu=ck_menu.substr(0,ck_menu.length-1);
		
		ck_user="";
		if(document.form1.ck_user){
			for(var i=0; i < document.form1.ck_user.length; i++){
				if(document.form1.ck_user[i].checked)
				ck_user=""+ck_user+"'"+document.form1.ck_user[i].value+"',";
			}
		}
		ck_user=ck_user.substr(0,ck_user.length-1);
		
		ck_adv="";
		if(document.form1.ck_adv){
			for(var i=0; i < document.form1.ck_adv.length; i++){
				if(document.form1.ck_adv[i].checked)
				ck_adv=""+ck_adv+"'"+document.form1.ck_adv[i].value+"',";
			}
		}
		ck_adv=ck_adv.substr(0,ck_adv.length-1);
	}
	
	function adv_click(){
		var o=document.getElementById('img_ud');
		
		$('#adv_setting').toggle();
		if(o.alt=='down'){
			o.alt='up';
			o.src='images/up.gif';
		}else{
			o.alt='down';
			o.src='images/down.gif';
		}
	}
	
	function get_time(){
		var d=new Date();
		var h=String(d.getHours()+100).substr(1,2);
		var m=String(d.getMinutes()+100).substr(1,2);
		var s=String(d.getSeconds()+100).substr(1,2);
		
		return h+':'+m+':'+s;
	}
	
	function delete1(params){
		delete_params(params,{
			"onFinish": function(z, root){ 
							if(z=='OK!'){
								list_adv_menu($('#user_adv').attr('value'),{target:"list_adv_menu", preloader:"pr_list_adv_menu", preloader_style:"display", clear_content: "true"});
								list_params({target:"list_params", preloader:"pr_list_params", preloader_style:"display", clear_content: "true"});
								$.jGrowl("<br><?php echo $locale['Delete Parameters Success']; ?> !", { header: '<u>'+get_time()+' - <?php echo $locale['INFORMATION']; ?></u>', life: 5000 });
							}else{
								alert(z);
								$.jGrowl("<br>"+z+"", { header: '<u>'+get_time()+' - <font color="#FF0000"><?php echo $locale['WARNING']; ?></font></u>', life: 5000 });
							}
						}
			,preloader:"pr"
			,preloader_style:"display"
		});
		
	}
	
	function add1(){
		var params=$('#txtParams').attr('value');
		save_params(params,{
			"onFinish": function(z, root){ 
							if(z=='OK!'){
								list_adv_menu($('#user_adv').attr('value'),{target:"list_adv_menu", preloader:"pr_list_adv_menu", preloader_style:"display", clear_content: "true"});
								list_params({target:"list_params", preloader:"pr_list_params", preloader_style:"display", clear_content: "true"});
								$.jGrowl("<br><?php echo $locale['Add Parameters Success']; ?> !", { header: '<u>'+get_time()+' - <?php echo $locale['INFORMATION']; ?></u>', life: 5000 });
							}else{
								alert(z);
								$.jGrowl("<br>"+z+"", { header: '<u>'+get_time()+' - <font color="#FF0000"><?php echo $locale['WARNING']; ?></font></u>', life: 5000 });
							}
						}
			,preloader:"pr"
			,preloader_style:"display"
		});
	}
	
	function save1(){
		get_value();
		save_assign($('#user_assign').attr('value'),ck_menu,{
			"onFinish": function(z, root){ 
							if(z=='OK!'){
								$.jGrowl("<br><?php echo $locale['Assign User Access Success']; ?> !", { header: '<u>'+get_time()+' - <?php echo $locale['INFORMATION']; ?></u>', life: 5000 });
							}else{
								alert(z);
								$.jGrowl("<br>"+z+"", { header: '<u>'+get_time()+' - <font color="#FF0000"><?php echo $locale['WARNING']; ?></font></u>', life: 5000 });
							}
						}
			,preloader:"pr"
			,preloader_style:"display"
		});
	}
	
	function save2(){
		get_value();
		save_copy($('#user_copy').attr('value'),ck_user,{
			"onFinish": function(z, root){ 
							if(z=='OK!'){
								$.jGrowl("<br><?php echo $locale['Copy Access Success']; ?> !", { header: '<u>'+get_time()+' - <?php echo $locale['INFORMATION']; ?></u>', life: 5000 });
							}else{
								alert(z);
								$.jGrowl("<br>"+z+"", { header: '<u>'+get_time()+' - <font color="#FF0000"><?php echo $locale['WARNING']; ?></font></u>', life: 5000 });
							}
						}
			,preloader:"pr"
			,preloader_style:"display"
		});
	}
	
	function save3(){
		get_value();
		save_params_menu($('#user_adv').attr('value'),ck_adv,{
			"onFinish": function(z, root){ 
							if(z=='OK!'){
								$.jGrowl("<br><?php echo $locale['Assign Detail Access Success']; ?> !", { header: '<u>'+get_time()+' - <?php echo $locale['INFORMATION']; ?></u>', life: 5000 });
							}else{
								alert(z);
								$.jGrowl("<br>"+z+"", { header: '<u>'+get_time()+' - <font color="#FF0000"><?php echo $locale['WARNING']; ?></font></u>', life: 5000 });
							}
						}
			,preloader:"pr"
			,preloader_style:"display"
		});
	}
	
	$(document).ready(function() {
		list_menu(this.value,{target:"list_menu", preloader:"pr_list_menu", preloader_style:"display", clear_content: "true"});
		list_params({target:"list_params", preloader:"pr_list_params", preloader_style:"display", clear_content: "true"});
	});
</script>