<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
|----------------------------------------------------+
| Infusion: ACL
| Filename: acl_admin.php
| Author: Norman.Leonardi
| Web: http://www.ny-soft.com/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";

require_once INFUSIONS."acl/functions.php";
require_once INFUSIONS."acl/model/acl_admin.php";
require_once INFUSIONS."acl/controller/acl_admin.php";

add_to_title($locale['title']);

if (!checkrights("NY2") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

opentable($locale['title']);
?>

<form id="form1" name="form1" method="post" action="">
<span id="pr" style="display:none;">
	<script type="text/javascript" src="js/loading.js"></script>
	<link rel="stylesheet" href="js/loading.css" type="text/css">
	<div id="bgtrsp"></div>
	<div id="loading">Loading...</div>
</span>
<script>loading(1);</script>

<fieldset>
<legend><b><?php echo $locale['Assign Access']; ?></b></legend>
	<div><?php echo $locale['User']; ?> <?php echo list_user_assign(); ?></div>
	<br />
	<div><span id="pr_list_menu" style="display:none;"><img src="images/loading.gif" /></span><div id="list_menu"></div></div>
	<br />
	<div><input type="button" class="button" value="<?php echo $locale['Save']; ?>" onclick="save1()"  /></div>
</fieldset>
<br />
<br />

<fieldset>
<legend><b><?php echo $locale['Copy User Access']; ?></b></legend>
	<div><?php echo $locale['Copy From User']; ?> <?php echo list_user_copy(); ?></div>
	<br />
	<div><?php echo list_user(); ?></div>
	<br />
	<div><input type="button" class="button" value="<?php echo $locale['Save']; ?>" onclick="save2()"  /></div>
</fieldset>
<br />
<br />

<fieldset>
<legend style="cursor:pointer" onclick="adv_click();"><b><?php echo $locale['Advanced Setting']; ?></b>&nbsp;<img id="img_ud" src="images/down.gif" alt="down" /></legend>
<div id="adv_setting" style="display:none">
	<br />
	<fieldset>
	<legend><?php echo $locale['Manage Parameters']; ?></legend>
		<div><?php echo $locale['Current Parameters']; ?>&nbsp;:&nbsp;<span id="pr_list_params" style="display:none;"><img src="images/loading.gif" /></span><span id="list_params">...</span></div>
		<br />
		<div><?php echo $locale['Parameters']; ?>&nbsp;<input type="text" id="txtParams" name="txtParams" /></div>
		<br />
		<div><input type="button" class="button" value="<?php echo $locale['Add']; ?>" onclick="add1()"  /></div>
	</fieldset>
	<br />
	<fieldset>
	<legend><?php echo $locale['Assign Detail Access']; ?></legend>
		<div>User <?php echo list_user_adv(); ?></div>
		<br />
		<div><span id="pr_list_adv_menu" style="display:none;"><img src="images/loading.gif" /></span><div id="list_adv_menu"></div></div>
	</fieldset>
	<br />
	<br />
*<?php echo $locale['Note']; ?> : <?php echo $locale['Note Message']; ?>
</div>
</fieldset>
</form>
<?php
closetable();
require_once THEMES."templates/footer.php";
?>