<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
|----------------------------------------------------+
| Infusion: ACL
| Filename: acl_admin.php
| Author: Norman.Leonardi
| Web: http://www.ny-soft.com/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/

if (!checkrights("NY2") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if(file_exists("../../maincore.php")){
	require_once "../../maincore.php";
}

require_once INFUSIONS."acl/functions.php";
require_once "js/PHPLiveX.php";
error_reporting(E_ALL ^ E_NOTICE);



function check_validity($user,$list){
	global $locale;

	if($user==""){
		return "".$locale['Please Choose The User First']."!";
	}else{
		return "OK";
	}
}

function delete_params($params){
	$sql="	SELECT user_id,link_url,params FROM ".DB_ACL."
			WHERE params LIKE '%".$params."%'";
	$rs=dbquery($sql);
	while($row=dbarray($rs)){
		$arr=explode("\n",$row['params']);
		$max=count($arr);
		$tmp='';
		for($i=0;$i<$max;$i++){
			$split=explode("=",$arr[$i]);
			if($params!=$split[0]){
				$tmp=$tmp.$arr[$i].'\n';	
			}
		}
		$tmp=substr($tmp,0,strlen($tmp)-2);
		
		$sql2="	UPDATE ".DB_ACL."
				SET	params='".$tmp."'
				WHERE 
					user_id='".$row['user_id']."'
					AND link_url='".$row['link_url']."'";
		$rs2=dbquery($sql2);		
	}
	
	$sql2="	DELETE FROM ".DB_ACL_PARAMS." 
			WHERE params_id='".$params."'";
	$rs2=dbquery($sql2);
	
	return 'OK!';
}

function save_params($params){
	global $locale;
	
	if($params==''){
		return ''.$locale['Please Fill The Parameters'].'!';
	}else{
		$sql="	DELETE FROM ".DB_ACL_PARAMS."
				WHERE params_id='".$params."'";
		$rs=dbquery($sql);
		
		$sql="	INSERT INTO ".DB_ACL_PARAMS."(params_id) 
				VALUES('".$params."')";
		$rs=dbquery($sql);
		return 'OK!';
	}	
}

function list_params(){
	global $locale;

	$tmp='';
	$sql="	SELECT params_id FROM ".DB_ACL_PARAMS." ";
	$rs=dbquery($sql);
	while($row=dbarray($rs)){
		$tmp=$tmp.'<span style="border:solid #0000FF 1px; background:#00FFFF;">'.$row['params_id'].'&nbsp;<img src="images/delete.gif" style="cursor:pointer" onclick="if(confirm(\''.$locale['Are You Sure Want To Delete It'].'?\')){delete1(\''.$row['params_id'].'\');}" /></span> ';
	}
	
	return $tmp;
}


function save_assign($user,$list){
	$cv=check_validity($user,$list);

	if($cv!='OK'){
		return $cv;
	}else{
		$list=str_replace("\\'","",$list);
		$arr=explode(",",$list);
		$max=count($arr);
		
		for($i=0;$i<$max;$i++){
			$sql="	SELECT * FROM ".DB_ACL." 
					WHERE user_id='".$user."' AND link_url='".$arr[$i]."'";
			$rs=dbquery($sql);
			if(dbrows($rs)==0){		
				$sql="	INSERT INTO ".DB_ACL."(user_id,link_url) 
						VALUES('".$user."','".$arr[$i]."')";
				$rs=dbquery($sql);
			}
		}
		
		$sql="	SELECT a.link_name,a.link_url 
				FROM ".DB_PREFIX."site_links a
				WHERE 
					a.link_url LIKE '%.php'
				ORDER BY a.link_name
			 ";
		$rs=dbquery($sql);
		while($row=dbarray($rs)){
			if(!in_array($row['link_url'],$arr)) {
				$sql2="	DELETE FROM ".DB_ACL." 
						WHERE user_id='".$user."' AND link_url='".$row['link_url']."'";
				$rs2=dbquery($sql2);	
			}			
		}
		
		return 'OK!';
	}	
}

function save_copy($user,$list){
	global $locale;
	
	$cv=check_validity($user,$list);

	if($cv!='OK'){
		return $cv;
	}elseif($list==''){
		return ''.$locale['Please Select At Least One User'].'!';
	}else{
		$list=str_replace("\\'","",$list);
		$arr=explode(",",$list);
		$max=count($arr);
		for($i=0;$i<$max;$i++){		
			if($user!=$arr[$i] && $arr[$i]!=''){
				$sql="	DELETE FROM ".DB_ACL." 
						WHERE user_id='".$arr[$i]."'";
				$rs=dbquery($sql);
				
				$sql="	INSERT INTO ".DB_ACL."(user_id,link_url,params) 
						SELECT
							'".$arr[$i]."' AS user_id,
							link_url,
							params
						FROM ".DB_ACL."
						WHERE
							user_id='".$user."'";
				$rs=dbquery($sql);	
			}		
		}
		
		return 'OK!';
	}	
}

function list_user_assign(){
	global $locale;
	
	$tmp='<select id="user_assign" name="user_assign" onchange=\'list_menu(this.value,{target:"list_menu", preloader:"pr_list_menu", preloader_style:"display", clear_content: "true"});\'>';
	$tmp=$tmp.'<option value="" >'.$locale['Choose User...'].'</option>';
	$i=0;
	$sql="SELECT user_id,user_name FROM ".DB_PREFIX."users ORDER BY user_name";
	$rs=dbquery($sql);
	while($row=dbarray($rs)){
		$tmp=$tmp.'<option value="'.$row['user_id'].'" >'.$row['user_name'].'</option>';
	}
	
	$tmp=$tmp.'</select>';

	return $tmp;
}

function list_user_copy(){
	global $locale;
	
	$tmp='<select id="user_copy" name="user_copy" >';
	$tmp=$tmp.'<option value="" >'.$locale['Choose User...'].'</option>';
	$i=0;
	$sql="SELECT user_id,user_name FROM ".DB_PREFIX."users ORDER BY user_name";
	$rs=dbquery($sql);
	while($row=dbarray($rs)){
		$tmp=$tmp.'<option value="'.$row['user_id'].'" >'.$row['user_name'].'</option>';
	}
	
	$tmp=$tmp.'</select>';
	
	return $tmp;
}

function list_user_adv(){
	global $locale;
	
	$tmp='<select id="user_adv" name="user_adv" onchange=\'list_adv_menu(this.value,{target:"list_adv_menu", preloader:"pr_list_adv_menu", preloader_style:"display", clear_content: "true"});\'>';
	$tmp=$tmp.'<option value="" >'.$locale['Choose User...'].'</option>';
	$i=0;
	$sql="SELECT user_id,user_name FROM ".DB_PREFIX."users ORDER BY user_name";
	$rs=dbquery($sql);
	while($row=dbarray($rs)){
		$tmp=$tmp.'<option value="'.$row['user_id'].'" >'.$row['user_name'].'</option>';
	}
	
	$tmp=$tmp.'</select>';
	
	return $tmp;
}


function list_user(){
	global $locale;
	
	$tmp='';$check='';$uncheck='';
	$tmp=$tmp.'<table>';
	$tmp=$tmp.'<tr valign="top"><td>';
	$i=0;
	$sql="SELECT user_id,user_name FROM ".DB_PREFIX."users ORDER BY user_name";
	$rs=dbquery($sql);
	while($row=dbarray($rs)){
		$tmp=$tmp.'<div><input id="ck_user'.$i.'" name="ck_user" type="checkbox" value="'.$row['user_id'].'" />&nbsp;'.$row['user_name'].'</div>';
		$check=$check.'document.form1.ck_user['.$i.'].checked=true;';
		$uncheck=$uncheck.'document.form1.ck_user['.$i.'].checked=false;';
		$i++;
		if($i%10==0){$tmp=$tmp.'</td><td>';}
	}
	
	$tmp='<div><a href="#user" onclick="'.$check.'">'.$locale['check all'].'</a> | <a href="#user" onclick="'.$uncheck.'">'.$locale['uncheck all'].'</a></div>'.$tmp;
	
	$tmp=$tmp.'</td></tr>';
	$tmp=$tmp.'</table>';
	
	return $tmp;
}

function list_menu($user){
	global $locale;

	$tmp='';$check='';$uncheck='';$checked='';
	$tmp=$tmp.'<table>';
	$tmp=$tmp.'<tr valign="top"><td>';
	if($user!=''){
		$i=0;
		$sql="	SELECT a.link_name,a.link_url,b.user_id 
				FROM ".DB_PREFIX."site_links a
				LEFT JOIN (SELECT user_id,link_url FROM ".DB_ACL." WHERE user_id='".$user."') b ON a.link_url=b.link_url
				WHERE 
					a.link_url LIKE '%.php'
				ORDER BY a.link_name
			 ";
		$rs=dbquery($sql);
		while($row=dbarray($rs)){
			$checked=($row['user_id']!='' ? " checked ":"");
			$tmp=$tmp.'<div><input id="ck_menu" name="ck_menu" type="checkbox" value="'.$row['link_url'].'" '.$checked.' />&nbsp;'.$row['link_name'].'</div>';
			$check=$check.'document.form1.ck_menu['.$i.'].checked=true;';
			$uncheck=$uncheck.'document.form1.ck_menu['.$i.'].checked=false;';
			$i++;
			
			if($i%10==0){$tmp=$tmp.'</td><td>';}
		}
		
		$tmp='<div><a href="#menu" onclick="'.$check.'">'.$locale['check all'].'</a> | <a href="#menu" onclick="'.$uncheck.'">'.$locale['uncheck all'].'</a></div>'.$tmp;
	}
	$tmp=$tmp.'</td></tr>';
	$tmp=$tmp.'</table>';
	
	return $tmp;
}

function list_adv_menu($user){
	global $locale;
	
	$tmp='';$check='';$uncheck='';$checked='';
	unset($params);
	$tmp=$tmp.'<table">';
	
	$tmp=$tmp.'<tr class="tbl2">';
	$tmp=$tmp.'<td><b>'.$locale['Menu'].'</b></td>';
	
	$sql="	SELECT params_id FROM ".DB_ACL_PARAMS."";
	$rs=dbquery($sql);
	if(dbrows($rs)==0){
		return '<span><i>'.$locale['Please Add Parameters To Continue'].'!</i></span>';	
	}else{
		$i=0;
		while($row=dbarray($rs)){
			$tmp=$tmp.'<td>&nbsp;<b>'.$row['params_id'].'</b>&nbsp;</td>';
			$params[$i]=$row['params_id'];
			$i++;
		}
	}
	$tmp=$tmp.'</tr>';
	
	$max=count($params);
	
	if($user!=''){
		$sql="	SELECT 
					a.user_id
					,a.link_url
					,b.link_name
					,a.params 
				FROM ".DB_ACL." a
				LEFT JOIN ".DB_PREFIX."site_links b ON a.link_url=b.link_url
				WHERE a.user_id='".$user."'
				ORDER BY b.link_name
			 ";
		$rs=dbquery($sql);
		$x=0;$j=0;
		while($row=dbarray($rs)){
			$color=($x%2==0 ? 'class="tbl1"':'class="tbl2"');
			
			$tmp=$tmp.'<tr '.$color.'>';
			
			unset($arr);
			unset($list);
			$arr=explode("\n",$row['params']);
			foreach ($arr as $key => $val) {
				$split=explode("=",$val);
				$list[$split[0]]=$split[1];
			}
			
			if($row['user_id']!=''){
				$tmp=$tmp.'<td>'.$row['link_name'].'</td>';
				for($i=0;$i<$max;$i++){
					$checked=($list[$params[$i]]==1 ? " checked ":"");
					$value=$row['link_url'].'@@'.$params[$i].'=1';
					$tmp=$tmp.'<td align="center"><input id="ck_adv" name="ck_adv" type="checkbox" value="'.$value.'" '.$checked.' /></td>';
					$check=$check.'document.form1.ck_adv['.$j.'].checked=true;';
					$uncheck=$uncheck.'document.form1.ck_adv['.$j.'].checked=false;';
					$j++;
				}
			}
			
			$tmp=$tmp.'</tr>';
			$x++;
		}
		
		$tmp='<div><a href="#adv" onclick="'.$check.'">'.$locale['check all'].'</a> | <a href="#adv" onclick="'.$uncheck.'">'.$locale['uncheck all'].'</a></div>'.$tmp;
	}
	$tmp=$tmp.'</table>';
	
	$tmp=$tmp.'<br />';
	$tmp=$tmp.'<div><input type="button" class="button" value="'.$locale['Save'].'" onclick="save3()"  /></div>';
	
	return $tmp;
}

function save_params_menu($user,$params){
	
	$cv=check_validity($user,$list);

	if($cv!='OK'){
		return $cv;
	}else{
		$sql="	UPDATE ".DB_ACL."
				SET params='' 
				WHERE
					user_id='".$user."'";
		$rs=dbquery($sql);
		
		unset($arr);
		unset($list);
		$params=str_replace("\\'","",$params);
		$arr=explode(",",$params);
		$ctr=count($arr);
		for($i=0;$i<$ctr;$i++){
			$split=explode("@@",$arr[$i]);
			if(array_key_exists($split[0],$list)) {
				$list[$split[0]]=$list[$split[0]].$split[1].'\n';
			}else{
				$list[$split[0]]=$split[1].'\n';
			}
		}
		
		ksort($list);
		
		foreach ($list as $key => $val) {
			$sql="	UPDATE ".DB_ACL."
					SET params=CONCAT(params,'".$val."') 
					WHERE
						user_id='".$user."'
						AND link_url='".$key."'";
			$rs=dbquery($sql);
		}
		
		return 'OK!';
	}
}

$ajax = new PHPLiveX(array("list_menu", "save_assign", "save_copy", "save_params", "list_params", "delete_params", "list_adv_menu", "save_params_menu"));
$ajax->Run("js/phplivex.js");

?>
